# OpenSSHKnownHosts.HashedEntry (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.verification
Class OpenSSHKnownHosts.HashedEntry

    java.lang.Object
      net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.Entry
          net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.HashedEntry

Enclosing class:
  OpenSSHKnownHosts

    public static class OpenSSHKnownHosts.HashedEntry

extends OpenSSHKnownHosts.Entry

Constructor Summary
`OpenSSHKnownHosts.HashedEntry(String line)`
`OpenSSHKnownHosts.HashedEntry(String host, PublicKey key)`

Method Summary
`boolean` `appliesTo(String host)`
`protected String` `getHostPart()`

Methods inherited from class net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.Entry
`getKey, getKeyString, getLine, getType, init, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenSSHKnownHosts.HashedEntry

    public OpenSSHKnownHosts.HashedEntry(String host,
                                         PublicKey key)
                                  throws IOException

Throws:
  `IOException`

### OpenSSHKnownHosts.HashedEntry

    public OpenSSHKnownHosts.HashedEntry(String line)
                                  throws IOException

Throws:
  `IOException`

Method Detail

### appliesTo

    public boolean appliesTo(String host)
                      throws IOException

  Specified by:
    `appliesTo` in class `OpenSSHKnownHosts.Entry`
  Throws:
    `IOException`

### getHostPart

    protected String getHostPart()

  Specified by:
    `getHostPart` in class `OpenSSHKnownHosts.Entry`

Copyright © 2009-2011. All Rights Reserved.